Bug 74518

Summary: openoffice-1.1 build failure on 4-stable: dmake can't find target.mk
Product: Ports & Packages Reporter: jan grant <jan.grant>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description jan grant 2004-11-29 16:00:52 UTC
The openoffice-1.1 port build fails early (just after completing the contained build of mozilla). When building with WITHOUT_MOZILLA, it fails almost immediately, ending with this line:

Configure completed
You may now run /backups/ports-work/usr/ports/editors/openoffice-1.1/work/OOo_1.1.3_src/bootstrap in /backups/ports-work/usr/ports/editors/openoffice-1.1/work/OOo_1.1.3_src
===>  Building for openoffice-1.1.3_1
dmake:  makefile.mk:  line 251:  Error -- Include file target.mk, not found
*** Error code 255

This is the case when building the port manually or via portupgrade.
Sure enough, the top-level dmake makefile.mk refers to a "target.mk" that doesn't exist; and isn't on dmake's include path, for some reason.

This build error has persisted for several months now. There's nothing particularly unusual about this system; it's most perplexing :-( I've removed and re-updated the ports directory, checked the various tarballs and everything else seems ok.

How-To-Repeat: cd /usr/ports/editors/openoffice-1.1 && make
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-12-02 07:35:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 2 jan grant 2004-12-20 10:34:49 UTC
As a followup, I note that someone else appears to have had a similar 
issue back in October:

http://www.jaist.ac.jp/~ryoh/NetBSD_diary.html

However, I can't make head nor tail of the problem description there :-/
Comment 3 Mikhail Teterin 2005-01-02 22:37:52 UTC
The problem here is that the user had the devel/dmake installed
already and OpenOffice's configure has decided to use it.

Unfortunately, our devel/dmake (4.1) is too old to understand the
DMAKEROOT environment variable, which OpenOffice's boostrap script is
setting.

The work-around is to uninstall the dmake port prior to building
OOo. The immediate fix is to mark OOo as conflicting with dmake.

The proper fix is to update the devel/dmake and make OOo properly
depend on it instead of building its own. Working on this one...

	-mi
Comment 4 jan grant 2005-01-10 11:00:35 UTC
Confirmed Mikhail's workaround; many thanks.

-- 
jan grant, ILRT, University of Bristol. http://www.ilrt.bris.ac.uk/
Tel +44(0)117 9287864 or +44 (0)117 9287088 http://ioctl.org/jan/
"Impact of vulnerability: Run code of an attacker's choice
 Maximum Severity Rating: Moderate" -- M$ security bulletin
Comment 5 Erwin Lansing freebsd_committer 2006-11-25 12:10:04 UTC
State Changed
From-To: open->closed

dmake was upgraded several times since this PR and 
understands DMAKEROOT now. Feel free to reopen this 
PR if the problem still occurs.